Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.component
Interface LifeCycle

All Known Subinterfaces:
  Connector, Handler, HandlerContainer, RequestLog, SessionIdManager, SessionManager

All Known Implementing Classes:
  AbstractBuffers, AbstractConnector, AbstractHandler, AbstractHandlerContainer, AbstractLifeCycle, AbstractNIOConnector, AbstractSessionIdManager, AbstractSessionManager, AbstractStatisticsHandler, Ajp13SocketConnector, AtomicStatisticsHandler, BayeuxClient, BlockingChannelConnector, BoundedThreadPool, Context, ContextDeployer, ContextHandler, ContextHandlerCollection, DebugHandler, DefaultHandler, ErrorHandler, ErrorPageErrorHandler, FilterHolder, HandlerCollection, HandlerList, HandlerWrapper, HashSessionIdManager, HashSessionManager, HashUserRealm, Holder, HTAccessHandler, HttpClient, InheritedChannelConnector, IO, JDBCUserRealm, Jetty6PluginWebAppContext, JettyFactoryBean, LocalConnector, ManyContexts.HelloHandler, ManyHandlers.HelloHandler, ManyHandlers.ParamHandler, MovedContextHandler, NCSARequestLog, OneContext.HelloHandler, OneHandler.HelloHandler, Oort, OortComet, QueuedThreadPool, RequestLogHandler, ResourceCache, ResourceHandler, RewriteHandler, RewriteHandler, SecurityHandler, SelectChannelConnector, SelectorManager, Server, ServletHandler, ServletHandler, ServletHolder, SessionHandler, Seti, SetUIDServer, SocketConnector, SslSelectChannelConnector, SslSocketConnector, StatisticsHandler, TerracottaSessionHandler, TerracottaSessionIdManager, TerracottaSessionManager, ThreadPool, WebAppContext, WebAppDeployer, Win32Service

    public interface LifeCycle

The lifecycle interface for generic components.
Classes implementing this interface have a defined life cycle defined by the methods of this interface.

Author:
  Greg Wilkins (gregw)

Nested Class Summary
`static interface` | `LifeCycle.Listener` Listener.

Method Summary
`void` | `addLifeCycleListener(LifeCycle.Listener listener)`
`boolean` | `isFailed()`
`boolean` | `isRunning()`
`boolean` | `isStarted()`
`boolean` | `isStarting()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`void` | `removeLifeCycleListener(LifeCycle.Listener listener)`
`void` | `start()` Starts the component.
`void` | `stop()` Stops the component.

Method Detail

### start

    void start()
               throws java.lang.Exception

  Starts the component.

  Throws:
    `java.lang.Exception` - If the component fails to start
  See Also:
    `isStarted()`, `stop()`, `isFailed()`

### stop

    void stop()
              throws java.lang.Exception

  Stops the component. The component may wait for current activities to complete normally, but it can be interrupted.

  Throws:
    `java.lang.Exception` - If the component fails to stop
  See Also:
    `isStopped()`, `start()`, `isFailed()`

### isRunning

    boolean isRunning()

  Returns:
    true if the component is starting or has been started.

### isStarted

    boolean isStarted()

  Returns:
    true if the component has been started.
  See Also:
    `start()`, `isStarting()`

### isStarting

    boolean isStarting()

  Returns:
    true if the component is starting.
  See Also:
    `isStarted()`

### isStopping

    boolean isStopping()

  Returns:
    true if the component is stopping.
  See Also:
    `isStopped()`

### isStopped

    boolean isStopped()

  Returns:
    true if the component has been stopped.
  See Also:
    `stop()`, `isStopping()`

### isFailed

    boolean isFailed()

  Returns:
    true if the component has failed to start or has failed to stop.

### addLifeCycleListener

    void addLifeCycleListener(LifeCycle.Listener listener)

### removeLifeCycleListener

    void removeLifeCycleListener(LifeCycle.Listener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.